import { TokenResponse } from '../types';
import { Logger } from './logger';
export declare class BrowserUrlManager {
    private readonly logger;
    private hashParams;
    private searchParams;
    constructor(logger: Logger);
    get tokenReady(): boolean;
    get currentUrl(): string;
    get rawState(): string | undefined;
    checkUrlForState(): string | any;
    checkUrlForCode(): string;
    checkUrlForToken(): TokenResponse;
    navigate(url: string): void;
    /**
     * Navigates to the provided url in a popup window and returns the popup's URL when it navigates back to the redirectURI
     *
     * @param url Url to navigate the popup window to
     * @param redirectUri Redirect URI that triggers the interval to clear
     * @param popup Reference to popup, this can optionally be provided by the user for better support
     * @returns Promise which resolves the complete url when the redirecURI is found, this url will contain the token or code and state
     */
    navigatePopup(url: string, redirectUri: string, popupRef?: Window): Promise<string>;
    private getAndRemoveSearchParameter;
}
