import { TokenResponse } from '../types';
export declare abstract class ClientStorageBase {
    protected readonly TOKEN_KEY: string;
    protected readonly REFRESH_TOKEN_KEY: string;
    protected readonly CODE_VERIFIER_KEY: string;
    protected readonly STATE_KEY: string;
    protected readonly POPUP_KEY: string;
    constructor(clientId: string);
    protected migrateTokens?(clientId: string): void;
    abstract storeToken(token: TokenResponse): void;
    abstract getToken(): Promise<TokenResponse>;
    abstract getRefreshToken(): Promise<string | null>;
    abstract removeToken(): void;
    storeCodeVerifier(codeVerifier: string): void;
    getCodeVerifier(): string;
    setClientState(state: string): void;
    getClientState(): string;
    removeClientState(): void;
    setPopupFlag(): void;
    getPopupFlag(): boolean;
    removePopupFlag(): void;
}
