/**
 * Class representing browser sessionStorage.
 * Subclass of the ClientStorageBase abstract class.
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API}
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/Web_Storage_API}
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/Storage}
 */
import { StorageType, TokenResponse } from '../types';
import { ClientStorageBase } from './client-storage-base';
export declare class SessionClientStorage extends ClientStorageBase {
    private inMemoryToken;
    readonly storage: StorageType;
    protected migrateTokens(clientId: string): void;
    storeToken(token: TokenResponse): void;
    getToken(): Promise<TokenResponse>;
    getRefreshToken(): Promise<string>;
    removeToken(): void;
}
