import { ClientOptions, ValidatedClientOptions } from '../types';
import { BrowserUrlManager, Logger } from '../utilities';
export declare class ClientOptionsValidator {
    private readonly logger;
    private readonly browserUrlManager;
    constructor(logger: Logger, browserUrlManager: BrowserUrlManager);
    /**
     * Validates user passed options and gives necessary feedback to console/through errors, will also set default values where applicable
     *
     * @param {ClientOptions} options Options to be validated
     * @returns {ClientOptions} options with applicable default values
     */
    validate(options: ClientOptions): ValidatedClientOptions;
    private getUsePkce;
    /**
     * Does verification of Scope sent in through options and sets default of 'openid profile' if not present or invalid
     *
     * @param {ClientOptions} options Options sent into authorize method
     * @returns {string} Scope that will be passed to PingOne endpoint
     */
    private getScope;
    private getValueOrDefaultFromEnum;
}
